﻿IF OBJECT_ID ('tempdb..#Temp_NITMAS') IS NOT NULL DROP TABLE #Temp_NITMAS;
 
CREATE TABLE #Temp_NITMAS
( 
	[NSET] [char](1) COLLATE Latin1_General_CI_AS NOT NULL,
	[TASK] [char](3) COLLATE Latin1_General_CI_AS NOT NULL,
	[DESCR] [char](40) COLLATE Latin1_General_CI_AS NULL,
	[PROG] [char](150) COLLATE Latin1_General_CI_AS NULL,
	[NITE] [bit] NOT NULL,
	[RETY] [bit] NOT NULL,
	[WEEK] [bit] NOT NULL,
	[PEND] [bit] NOT NULL,
	[LIVE] [bit] NOT NULL,
	[OPTN] [smallint] NULL,
	[ABOR] [bit] NOT NULL,
	[JRUN] [char](70) COLLATE Latin1_General_CI_AS NULL,
	[DAYS1] [bit] NOT NULL,
	[DAYS2] [bit] NOT NULL,
	[DAYS3] [bit] NOT NULL,
	[DAYS4] [bit] NOT NULL,
	[DAYS5] [bit] NOT NULL,
	[DAYS6] [bit] NOT NULL,
	[DAYS7] [bit] NOT NULL,
	[BEGD] [date] NULL,
	[ENDD] [date] NULL,
	[SDAT] [date] NULL,
	[STIM] [char](6) COLLATE Latin1_General_CI_AS NULL,
	[EDAT] [date] NULL,
	[ETIM] [char](6) COLLATE Latin1_General_CI_AS NULL,
	[ADAT] [date] NULL,
	[ATIM] [char](6) COLLATE Latin1_General_CI_AS NULL,
	[TTYPE] [int] NOT NULL,
 );

INSERT #Temp_NITMAS ([NSET], [TASK], [DESCR], [PROG], [NITE], [RETY], [WEEK], [PEND], [LIVE], [OPTN], [ABOR], [JRUN], [DAYS1], [DAYS2], [DAYS3], [DAYS4], [DAYS5], [DAYS6], [DAYS7], [BEGD], [ENDD], [SDAT], [STIM], [EDAT], [ETIM], [ADAT], [ATIM], [TTYPE]) VALUES (N'1', N'005', N'Backup Database Prior to Nightly        ', N'DRPNRBackup.exe                                                                                                                                       ', 1, 0, 0, 0, 1, NULL, 0, NULL, 0, 0, 0, 0, 0, 0, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0)
INSERT #Temp_NITMAS ([NSET], [TASK], [DESCR], [PROG], [NITE], [RETY], [WEEK], [PEND], [LIVE], [OPTN], [ABOR], [JRUN], [DAYS1], [DAYS2], [DAYS3], [DAYS4], [DAYS5], [DAYS6], [DAYS7], [BEGD], [ENDD], [SDAT], [STIM], [EDAT], [ETIM], [ADAT], [ATIM], [TTYPE]) VALUES (N'1', N'010', N'RollDates                               ', N'RollDates.EXE                                                                                                                                      ', 1, 1, 0, 0, 1, 0, 1, N'                                                                      ', 1, 1, 1, 1, 1, 1, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0)
INSERT #Temp_NITMAS ([NSET], [TASK], [DESCR], [PROG], [NITE], [RETY], [WEEK], [PEND], [LIVE], [OPTN], [ABOR], [JRUN], [DAYS1], [DAYS2], [DAYS3], [DAYS4], [DAYS5], [DAYS6], [DAYS7], [BEGD], [ENDD], [SDAT], [STIM], [EDAT], [ETIM], [ADAT], [ATIM], [TTYPE]) VALUES (N'1', N'100', N'Nightly Retail Updates                  ', N'NightlyRetailUpdates.exe| Y                                                                                                                           ', 1, 1, 0, 0, 1, 0, 1, N'                                                                      ', 1, 1, 1, 1, 1, 1, 1, NULL, NULL, CAST(0x45310B00 AS Date), N'201507', CAST(0x45310B00 AS Date), N'201548', NULL, N'000000', 0)
INSERT #Temp_NITMAS ([NSET], [TASK], [DESCR], [PROG], [NITE], [RETY], [WEEK], [PEND], [LIVE], [OPTN], [ABOR], [JRUN], [DAYS1], [DAYS2], [DAYS3], [DAYS4], [DAYS5], [DAYS6], [DAYS7], [BEGD], [ENDD], [SDAT], [STIM], [EDAT], [ETIM], [ADAT], [ATIM], [TTYPE]) VALUES (N'1', N'105', N'Process Trans - Price Change Markups    ', N'ProcessTransmissions.exe| MU                                                                                                                          ', 1, 1, 0, 0, 1, NULL, 0, NULL, 1, 1, 1, 1, 1, 1, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0)
INSERT #Temp_NITMAS ([NSET], [TASK], [DESCR], [PROG], [NITE], [RETY], [WEEK], [PEND], [LIVE], [OPTN], [ABOR], [JRUN], [DAYS1], [DAYS2], [DAYS3], [DAYS4], [DAYS5], [DAYS6], [DAYS7], [BEGD], [ENDD], [SDAT], [STIM], [EDAT], [ETIM], [ADAT], [ATIM], [TTYPE]) VALUES (N'1', N'110', N'Nightly Stock File Calculation          ', N'NightlyStockCalculation.exe| Y                                                                                                                        ', 1, 1, 0, 0, 1, 0, 1, N'                                                                      ', 1, 1, 1, 1, 1, 1, 1, NULL, NULL, CAST(0x45310B00 AS Date), N'201619', CAST(0x45310B00 AS Date), N'201659', NULL, N'000000', 0)
INSERT #Temp_NITMAS ([NSET], [TASK], [DESCR], [PROG], [NITE], [RETY], [WEEK], [PEND], [LIVE], [OPTN], [ABOR], [JRUN], [DAYS1], [DAYS2], [DAYS3], [DAYS4], [DAYS5], [DAYS6], [DAYS7], [BEGD], [ENDD], [SDAT], [STIM], [EDAT], [ETIM], [ADAT], [ATIM], [TTYPE]) VALUES (N'1', N'139', N'Process Trans - Pending Supplier Updates', N'ProcessTransmissions.exe| TIBPFV                                                                                                                      ', 1, 1, 0, 0, 1, NULL, 0, NULL, 1, 1, 1, 1, 1, 1, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0)
INSERT #Temp_NITMAS ([NSET], [TASK], [DESCR], [PROG], [NITE], [RETY], [WEEK], [PEND], [LIVE], [OPTN], [ABOR], [JRUN], [DAYS1], [DAYS2], [DAYS3], [DAYS4], [DAYS5], [DAYS6], [DAYS7], [BEGD], [ENDD], [SDAT], [STIM], [EDAT], [ETIM], [ADAT], [ATIM], [TTYPE]) VALUES (N'1', N'115', N'Split Bulk to Single Item               ', N'SplitBulkToSingleItems.exe|999,1,1,"Data Source=SRV8052;Initial Catalog=OASYS;Integrated Security=True",                                              ', 1, 1, 0, 0, 1, 0, 1, N'                                                                      ', 1, 1, 1, 1, 1, 1, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0)
INSERT #Temp_NITMAS ([NSET], [TASK], [DESCR], [PROG], [NITE], [RETY], [WEEK], [PEND], [LIVE], [OPTN], [ABOR], [JRUN], [DAYS1], [DAYS2], [DAYS3], [DAYS4], [DAYS5], [DAYS6], [DAYS7], [BEGD], [ENDD], [SDAT], [STIM], [EDAT], [ETIM], [ADAT], [ATIM], [TTYPE]) VALUES (N'1', N'125', N'Process Trans - PIC Hierarchy           ', N'ProcessTransmissions.exe| HOSTC                                                                                                                       ', 1, 1, 0, 0, 1, NULL, 0, NULL, 1, 1, 1, 1, 1, 1, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0)
INSERT #Temp_NITMAS ([NSET], [TASK], [DESCR], [PROG], [NITE], [RETY], [WEEK], [PEND], [LIVE], [OPTN], [ABOR], [JRUN], [DAYS1], [DAYS2], [DAYS3], [DAYS4], [DAYS5], [DAYS6], [DAYS7], [BEGD], [ENDD], [SDAT], [STIM], [EDAT], [ETIM], [ADAT], [ATIM], [TTYPE]) VALUES (N'1', N'130', N'Process Tran - HO Updates               ', N'ProcessTransmissions.exe| HOSTU                                                                                                                       ', 1, 0, 0, 0, 1, 0, 1, N'                                                                      ', 1, 1, 1, 1, 1, 1, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0)
INSERT #Temp_NITMAS ([NSET], [TASK], [DESCR], [PROG], [NITE], [RETY], [WEEK], [PEND], [LIVE], [OPTN], [ABOR], [JRUN], [DAYS1], [DAYS2], [DAYS3], [DAYS4], [DAYS5], [DAYS6], [DAYS7], [BEGD], [ENDD], [SDAT], [STIM], [EDAT], [ETIM], [ADAT], [ATIM], [TTYPE]) VALUES (N'1', N'135', N'Process Trans - Item Prompts            ', N'ProcessTransmissions.exe| TIBIPR                                                                                                                      ', 1, 1, 0, 0, 1, NULL, 0, NULL, 1, 1, 1, 1, 1, 1, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0)
INSERT #Temp_NITMAS ([NSET], [TASK], [DESCR], [PROG], [NITE], [RETY], [WEEK], [PEND], [LIVE], [OPTN], [ABOR], [JRUN], [DAYS1], [DAYS2], [DAYS3], [DAYS4], [DAYS5], [DAYS6], [DAYS7], [BEGD], [ENDD], [SDAT], [STIM], [EDAT], [ETIM], [ADAT], [ATIM], [TTYPE]) VALUES (N'1', N'140', N'Process Trans - Supplier Updates        ', N'ProcessTransmissions.exe| HPSTV                                                                                                                       ', 1, 1, 0, 0, 1, NULL, 0, NULL, 1, 1, 1, 1, 1, 1, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0)
INSERT #Temp_NITMAS ([NSET], [TASK], [DESCR], [PROG], [NITE], [RETY], [WEEK], [PEND], [LIVE], [OPTN], [ABOR], [JRUN], [DAYS1], [DAYS2], [DAYS3], [DAYS4], [DAYS5], [DAYS6], [DAYS7], [BEGD], [ENDD], [SDAT], [STIM], [EDAT], [ETIM], [ADAT], [ATIM], [TTYPE]) VALUES (N'1', N'145', N'Process PO''s                            ', N'ProcessTransmissions.exe| PO                                                                                                                          ', 1, 1, 0, 0, 1, NULL, 0, NULL, 1, 1, 1, 1, 1, 1, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0)
INSERT #Temp_NITMAS ([NSET], [TASK], [DESCR], [PROG], [NITE], [RETY], [WEEK], [PEND], [LIVE], [OPTN], [ABOR], [JRUN], [DAYS1], [DAYS2], [DAYS3], [DAYS4], [DAYS5], [DAYS6], [DAYS7], [BEGD], [ENDD], [SDAT], [STIM], [EDAT], [ETIM], [ADAT], [ATIM], [TTYPE]) VALUES (N'1', N'150', N'Process Trans - Planograms              ', N'ProcessTransmissions.exe| HOSTF                                                                                                                       ', 1, 1, 0, 0, 1, NULL, 0, NULL, 1, 1, 1, 1, 1, 1, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0)
INSERT #Temp_NITMAS ([NSET], [TASK], [DESCR], [PROG], [NITE], [RETY], [WEEK], [PEND], [LIVE], [OPTN], [ABOR], [JRUN], [DAYS1], [DAYS2], [DAYS3], [DAYS4], [DAYS5], [DAYS6], [DAYS7], [BEGD], [ENDD], [SDAT], [STIM], [EDAT], [ETIM], [ADAT], [ATIM], [TTYPE]) VALUES (N'1', N'155', N'Create HO Flash File                    ', N'ProcessTransmissions.exe| OF                                                                                                                          ', 1, 1, 0, 0, 1, NULL, 0, NULL, 1, 1, 1, 1, 1, 1, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0)
INSERT #Temp_NITMAS ([NSET], [TASK], [DESCR], [PROG], [NITE], [RETY], [WEEK], [PEND], [LIVE], [OPTN], [ABOR], [JRUN], [DAYS1], [DAYS2], [DAYS3], [DAYS4], [DAYS5], [DAYS6], [DAYS7], [BEGD], [ENDD], [SDAT], [STIM], [EDAT], [ETIM], [ADAT], [ATIM], [TTYPE]) VALUES (N'1', N'260', N'SOCLOS STHOF                            ', N'Processtransmissions.exe| SOCLOS=STHOF                                                                                                                ', 1, 1, 0, 0, 1, NULL, 0, NULL, 1, 1, 1, 1, 1, 1, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0)
INSERT #Temp_NITMAS ([NSET], [TASK], [DESCR], [PROG], [NITE], [RETY], [WEEK], [PEND], [LIVE], [OPTN], [ABOR], [JRUN], [DAYS1], [DAYS2], [DAYS3], [DAYS4], [DAYS5], [DAYS6], [DAYS7], [BEGD], [ENDD], [SDAT], [STIM], [EDAT], [ETIM], [ADAT], [ATIM], [TTYPE]) VALUES (N'1', N'160', N'Process Trans - Order Confirmations     ', N'ProcessTransmissions.exe| HPSTO                                                                                                                       ', 1, 1, 0, 0, 1, NULL, 0, NULL, 1, 1, 1, 1, 1, 1, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0)
INSERT #Temp_NITMAS ([NSET], [TASK], [DESCR], [PROG], [NITE], [RETY], [WEEK], [PEND], [LIVE], [OPTN], [ABOR], [JRUN], [DAYS1], [DAYS2], [DAYS3], [DAYS4], [DAYS5], [DAYS6], [DAYS7], [BEGD], [ENDD], [SDAT], [STIM], [EDAT], [ETIM], [ADAT], [ATIM], [TTYPE]) VALUES (N'1', N'120', N'Autoapply Price Changes                 ', N'PricechangeApply.exe                                                                                                                                  ', 1, 1, 0, 0, 1, NULL, 1, NULL, 1, 1, 1, 1, 1, 1, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0)
INSERT #Temp_NITMAS ([NSET], [TASK], [DESCR], [PROG], [NITE], [RETY], [WEEK], [PEND], [LIVE], [OPTN], [ABOR], [JRUN], [DAYS1], [DAYS2], [DAYS3], [DAYS4], [DAYS5], [DAYS6], [DAYS7], [BEGD], [ENDD], [SDAT], [STIM], [EDAT], [ETIM], [ADAT], [ATIM], [TTYPE]) VALUES (N'1', N'165', N'Process Trans - Add DRL to HO Comms     ', N'ProcessTransmissions.exe| DR                                                                                                                          ', 1, 1, 0, 0, 1, NULL, 0, NULL, 1, 1, 1, 1, 1, 1, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0)
INSERT #Temp_NITMAS ([NSET], [TASK], [DESCR], [PROG], [NITE], [RETY], [WEEK], [PEND], [LIVE], [OPTN], [ABOR], [JRUN], [DAYS1], [DAYS2], [DAYS3], [DAYS4], [DAYS5], [DAYS6], [DAYS7], [BEGD], [ENDD], [SDAT], [STIM], [EDAT], [ETIM], [ADAT], [ATIM], [TTYPE]) VALUES (N'1', N'170', N'Process Trans - Add Adj to HO Comms     ', N'ProcessTransmissions.exe| AD                                                                                                                          ', 1, 1, 0, 0, 1, NULL, 0, NULL, 1, 1, 1, 1, 1, 1, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0)
INSERT #Temp_NITMAS ([NSET], [TASK], [DESCR], [PROG], [NITE], [RETY], [WEEK], [PEND], [LIVE], [OPTN], [ABOR], [JRUN], [DAYS1], [DAYS2], [DAYS3], [DAYS4], [DAYS5], [DAYS6], [DAYS7], [BEGD], [ENDD], [SDAT], [STIM], [EDAT], [ETIM], [ADAT], [ATIM], [TTYPE]) VALUES (N'1', N'175', N'Process Trans - Add Sales to HO Comms   ', N'ProcessTransmissions.exe| SA                                                                                                                          ', 1, 1, 0, 0, 1, NULL, 0, NULL, 1, 1, 1, 1, 1, 1, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0)
INSERT #Temp_NITMAS ([NSET], [TASK], [DESCR], [PROG], [NITE], [RETY], [WEEK], [PEND], [LIVE], [OPTN], [ABOR], [JRUN], [DAYS1], [DAYS2], [DAYS3], [DAYS4], [DAYS5], [DAYS6], [DAYS7], [BEGD], [ENDD], [SDAT], [STIM], [EDAT], [ETIM], [ADAT], [ATIM], [TTYPE]) VALUES (N'1', N'180', N'Process Trans - Add Event Erosions      ', N'ProcessTransmissions.exe| EE                                                                                                                          ', 1, 1, 0, 0, 1, NULL, 0, NULL, 1, 1, 1, 1, 1, 1, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0)
INSERT #Temp_NITMAS ([NSET], [TASK], [DESCR], [PROG], [NITE], [RETY], [WEEK], [PEND], [LIVE], [OPTN], [ABOR], [JRUN], [DAYS1], [DAYS2], [DAYS3], [DAYS4], [DAYS5], [DAYS6], [DAYS7], [BEGD], [ENDD], [SDAT], [STIM], [EDAT], [ETIM], [ADAT], [ATIM], [TTYPE]) VALUES (N'1', N'185', N'Process Trans - Build Trans Files for HO', N'ProcessTransmissions.exe| OT                                                                                                                          ', 1, 1, 0, 0, 1, NULL, 0, NULL, 1, 1, 1, 1, 1, 1, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0)
INSERT #Temp_NITMAS ([NSET], [TASK], [DESCR], [PROG], [NITE], [RETY], [WEEK], [PEND], [LIVE], [OPTN], [ABOR], [JRUN], [DAYS1], [DAYS2], [DAYS3], [DAYS4], [DAYS5], [DAYS6], [DAYS7], [BEGD], [ENDD], [SDAT], [STIM], [EDAT], [ETIM], [ADAT], [ATIM], [TTYPE]) VALUES (N'1', N'270', N'SOCLOS STHOT                            ', N'ProcessTransmissions.exe| SOCLOS=STHOT                                                                                                                ', 1, 1, 0, 0, 1, NULL, 0, NULL, 1, 1, 1, 1, 1, 1, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0)
INSERT #Temp_NITMAS ([NSET], [TASK], [DESCR], [PROG], [NITE], [RETY], [WEEK], [PEND], [LIVE], [OPTN], [ABOR], [JRUN], [DAYS1], [DAYS2], [DAYS3], [DAYS4], [DAYS5], [DAYS6], [DAYS7], [BEGD], [ENDD], [SDAT], [STIM], [EDAT], [ETIM], [ADAT], [ATIM], [TTYPE]) VALUES (N'1', N'190', N'Process Trans - OJ FIle for HO Comms    ', N'ProcessTransmissions.exe| OJ                                                                                                                          ', 1, 1, 1, 0, 1, NULL, 0, NULL, 1, 1, 1, 1, 1, 1, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0)
INSERT #Temp_NITMAS ([NSET], [TASK], [DESCR], [PROG], [NITE], [RETY], [WEEK], [PEND], [LIVE], [OPTN], [ABOR], [JRUN], [DAYS1], [DAYS2], [DAYS3], [DAYS4], [DAYS5], [DAYS6], [DAYS7], [BEGD], [ENDD], [SDAT], [STIM], [EDAT], [ETIM], [ADAT], [ATIM], [TTYPE]) VALUES (N'1', N'275', N'SOCLOS STHOJ                            ', N'ProcessTransmissions.exe| SOCLOS=STHOJ                                                                                                                ', 1, 1, 1, 0, 1, NULL, 0, NULL, 1, 1, 1, 1, 1, 1, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0)
INSERT #Temp_NITMAS ([NSET], [TASK], [DESCR], [PROG], [NITE], [RETY], [WEEK], [PEND], [LIVE], [OPTN], [ABOR], [JRUN], [DAYS1], [DAYS2], [DAYS3], [DAYS4], [DAYS5], [DAYS6], [DAYS7], [BEGD], [ENDD], [SDAT], [STIM], [EDAT], [ETIM], [ADAT], [ATIM], [TTYPE]) VALUES (N'1', N'195', N'Process Trans - Postcode to HO Comms    ', N'ProcessTransmissions.exe| OC                                                                                                                          ', 1, 1, 0, 0, 1, NULL, 0, NULL, 1, 1, 1, 1, 1, 1, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0)
INSERT #Temp_NITMAS ([NSET], [TASK], [DESCR], [PROG], [NITE], [RETY], [WEEK], [PEND], [LIVE], [OPTN], [ABOR], [JRUN], [DAYS1], [DAYS2], [DAYS3], [DAYS4], [DAYS5], [DAYS6], [DAYS7], [BEGD], [ENDD], [SDAT], [STIM], [EDAT], [ETIM], [ADAT], [ATIM], [TTYPE]) VALUES (N'1', N'280', N'SOCLOS STHOC                            ', N'ProcessTransmissions.exe| SOCLOS=STHOC                                                                                                                ', 1, 1, 0, 0, 1, NULL, 0, NULL, 1, 1, 1, 1, 1, 1, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0)
INSERT #Temp_NITMAS ([NSET], [TASK], [DESCR], [PROG], [NITE], [RETY], [WEEK], [PEND], [LIVE], [OPTN], [ABOR], [JRUN], [DAYS1], [DAYS2], [DAYS3], [DAYS4], [DAYS5], [DAYS6], [DAYS7], [BEGD], [ENDD], [SDAT], [STIM], [EDAT], [ETIM], [ADAT], [ATIM], [TTYPE]) VALUES (N'1', N'200', N'Process Trans - Build Ref to HO Comms   ', N'ProcessTransmissions.exe| NIGHT=Y RF                                                                                                                  ', 1, 1, 0, 0, 1, NULL, 0, NULL, 1, 1, 1, 1, 1, 1, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0)
INSERT #Temp_NITMAS ([NSET], [TASK], [DESCR], [PROG], [NITE], [RETY], [WEEK], [PEND], [LIVE], [OPTN], [ABOR], [JRUN], [DAYS1], [DAYS2], [DAYS3], [DAYS4], [DAYS5], [DAYS6], [DAYS7], [BEGD], [ENDD], [SDAT], [STIM], [EDAT], [ETIM], [ADAT], [ATIM], [TTYPE]) VALUES (N'1', N'205', N'Process Trans - Build OOS to HO Comms   ', N'ProcessTransmissions.exe| NIGHT=Y SP                                                                                                                  ', 1, 1, 0, 0, 1, NULL, 0, NULL, 1, 1, 1, 1, 1, 1, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0)
INSERT #Temp_NITMAS ([NSET], [TASK], [DESCR], [PROG], [NITE], [RETY], [WEEK], [PEND], [LIVE], [OPTN], [ABOR], [JRUN], [DAYS1], [DAYS2], [DAYS3], [DAYS4], [DAYS5], [DAYS6], [DAYS7], [BEGD], [ENDD], [SDAT], [STIM], [EDAT], [ETIM], [ADAT], [ATIM], [TTYPE]) VALUES (N'1', N'285', N'SOCLOS STHPA                            ', N'ProcessTransmissions.exe| SOCLOS=STHPA                                                                                                                ', 1, 1, 0, 0, 1, NULL, 0, NULL, 1, 1, 1, 1, 1, 1, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0)
INSERT #Temp_NITMAS ([NSET], [TASK], [DESCR], [PROG], [NITE], [RETY], [WEEK], [PEND], [LIVE], [OPTN], [ABOR], [JRUN], [DAYS1], [DAYS2], [DAYS3], [DAYS4], [DAYS5], [DAYS6], [DAYS7], [BEGD], [ENDD], [SDAT], [STIM], [EDAT], [ETIM], [ADAT], [ATIM], [TTYPE]) VALUES (N'1', N'210', N'Process Trans - Build Half Hourly Sales ', N'ProcessTransmissions.exe| OL                                                                                                                          ', 1, 1, 1, 0, 1, NULL, 0, NULL, 1, 1, 1, 1, 1, 1, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0)
INSERT #Temp_NITMAS ([NSET], [TASK], [DESCR], [PROG], [NITE], [RETY], [WEEK], [PEND], [LIVE], [OPTN], [ABOR], [JRUN], [DAYS1], [DAYS2], [DAYS3], [DAYS4], [DAYS5], [DAYS6], [DAYS7], [BEGD], [ENDD], [SDAT], [STIM], [EDAT], [ETIM], [ADAT], [ATIM], [TTYPE]) VALUES (N'1', N'276', N'SOCLOS STHOL                            ', N'ProcessTransmissions.exe| SOCLOS=STHOL                                                                                                                ', 1, 1, 1, 0, 1, NULL, 0, NULL, 1, 1, 1, 1, 1, 1, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0)
INSERT #Temp_NITMAS ([NSET], [TASK], [DESCR], [PROG], [NITE], [RETY], [WEEK], [PEND], [LIVE], [OPTN], [ABOR], [JRUN], [DAYS1], [DAYS2], [DAYS3], [DAYS4], [DAYS5], [DAYS6], [DAYS7], [BEGD], [ENDD], [SDAT], [STIM], [EDAT], [ETIM], [ADAT], [ATIM], [TTYPE]) VALUES (N'1', N'215', N'Process Trans - Hierarchy Rebuild       ', N'ProcessTransmissions.exe| GSBUHL                                                                                                                      ', 1, 1, 0, 0, 1, NULL, 0, NULL, 1, 1, 1, 1, 1, 1, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0)
INSERT #Temp_NITMAS ([NSET], [TASK], [DESCR], [PROG], [NITE], [RETY], [WEEK], [PEND], [LIVE], [OPTN], [ABOR], [JRUN], [DAYS1], [DAYS2], [DAYS3], [DAYS4], [DAYS5], [DAYS6], [DAYS7], [BEGD], [ENDD], [SDAT], [STIM], [EDAT], [ETIM], [ADAT], [ATIM], [TTYPE]) VALUES (N'1', N'220', N'Process Trans - Colleague Disc. Update  ', N'ProcessTransmissions.exe| HOSTA                                                                                                                       ', 1, 1, 0, 0, 1, NULL, 0, NULL, 1, 1, 1, 1, 1, 1, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0)
INSERT #Temp_NITMAS ([NSET], [TASK], [DESCR], [PROG], [NITE], [RETY], [WEEK], [PEND], [LIVE], [OPTN], [ABOR], [JRUN], [DAYS1], [DAYS2], [DAYS3], [DAYS4], [DAYS5], [DAYS6], [DAYS7], [BEGD], [ENDD], [SDAT], [STIM], [EDAT], [ETIM], [ADAT], [ATIM], [TTYPE]) VALUES (N'1', N'225', N'Process Trans - Hierarchy Update        ', N'ProcessTransmissions.exe| HOSTH                                                                                                                       ', 1, 1, 0, 0, 1, NULL, 0, NULL, 1, 1, 1, 1, 1, 1, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0)
INSERT #Temp_NITMAS ([NSET], [TASK], [DESCR], [PROG], [NITE], [RETY], [WEEK], [PEND], [LIVE], [OPTN], [ABOR], [JRUN], [DAYS1], [DAYS2], [DAYS3], [DAYS4], [DAYS5], [DAYS6], [DAYS7], [BEGD], [ENDD], [SDAT], [STIM], [EDAT], [ETIM], [ADAT], [ATIM], [TTYPE]) VALUES (N'1', N'230', N'Process Trans - HOSTG                   ', N'ProcessTransmissions.exe| HOSTG                                                                                                                       ', 1, 1, 0, 0, 1, NULL, 0, NULL, 1, 1, 1, 1, 1, 1, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0)
INSERT #Temp_NITMAS ([NSET], [TASK], [DESCR], [PROG], [NITE], [RETY], [WEEK], [PEND], [LIVE], [OPTN], [ABOR], [JRUN], [DAYS1], [DAYS2], [DAYS3], [DAYS4], [DAYS5], [DAYS6], [DAYS7], [BEGD], [ENDD], [SDAT], [STIM], [EDAT], [ETIM], [ADAT], [ATIM], [TTYPE]) VALUES (N'1', N'420', N'Update Event Enquiry                    ', N'RefreshEventEnquiry.EXE                                                                                                                               ', 1, 1, 0, 0, 1, 0, 1, N'                                                                      ', 1, 1, 1, 1, 1, 1, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0)
INSERT #Temp_NITMAS ([NSET], [TASK], [DESCR], [PROG], [NITE], [RETY], [WEEK], [PEND], [LIVE], [OPTN], [ABOR], [JRUN], [DAYS1], [DAYS2], [DAYS3], [DAYS4], [DAYS5], [DAYS6], [DAYS7], [BEGD], [ENDD], [SDAT], [STIM], [EDAT], [ETIM], [ADAT], [ATIM], [TTYPE]) VALUES (N'1', N'425', N'Update Fuzzy Matching Data              ', N'NightlyTaskSQLScriptExecutor.exe| -F "F:\WIX\Scripts\Run_USP_UpdateFuzzyMatchData.sql"																   ', 1, 1, 0, 0, 1, NULL, 0, NULL, 1, 1, 1, 1, 1, 1, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0)
INSERT #Temp_NITMAS ([NSET], [TASK], [DESCR], [PROG], [NITE], [RETY], [WEEK], [PEND], [LIVE], [OPTN], [ABOR], [JRUN], [DAYS1], [DAYS2], [DAYS3], [DAYS4], [DAYS5], [DAYS6], [DAYS7], [BEGD], [ENDD], [SDAT], [STIM], [EDAT], [ETIM], [ADAT], [ATIM], [TTYPE]) VALUES (N'1', N'426', N'Update Store Master Data                ', N'NightlyTaskSQLScriptExecutor.exe| -F "F:\WIX\Scripts\EstateUpdate.sql"                                                                                ', 1, 1, 1, 0, 1, 0, 1, NULL, 1, 1, 1, 1, 1, 1, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0)
INSERT #Temp_NITMAS ([NSET], [TASK], [DESCR], [PROG], [NITE], [RETY], [WEEK], [PEND], [LIVE], [OPTN], [ABOR], [JRUN], [DAYS1], [DAYS2], [DAYS3], [DAYS4], [DAYS5], [DAYS6], [DAYS7], [BEGD], [ENDD], [SDAT], [STIM], [EDAT], [ETIM], [ADAT], [ATIM], [TTYPE]) VALUES (N'1', N'430', N'Refunds List                            ', N'RefundsList.dll,RefundsList.RefundsList                                                                                                               ', 1, 1, 0, 0, 1, NULL, 1, NULL, 1, 1, 1, 1, 1, 1, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 6)
INSERT #Temp_NITMAS ([NSET], [TASK], [DESCR], [PROG], [NITE], [RETY], [WEEK], [PEND], [LIVE], [OPTN], [ABOR], [JRUN], [DAYS1], [DAYS2], [DAYS3], [DAYS4], [DAYS5], [DAYS6], [DAYS7], [BEGD], [ENDD], [SDAT], [STIM], [EDAT], [ETIM], [ADAT], [ATIM], [TTYPE]) VALUES (N'1', N'440', N'Daily Receiver Listing                  ', N'DailyReceiverListing.dll,DailyReceiverListing.DailyReceiverListing                                                                                    ', 1, 1, 0, 0, 1, NULL, 1, NULL, 1, 1, 1, 1, 1, 1, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 6)
INSERT #Temp_NITMAS ([NSET], [TASK], [DESCR], [PROG], [NITE], [RETY], [WEEK], [PEND], [LIVE], [OPTN], [ABOR], [JRUN], [DAYS1], [DAYS2], [DAYS3], [DAYS4], [DAYS5], [DAYS6], [DAYS7], [BEGD], [ENDD], [SDAT], [STIM], [EDAT], [ETIM], [ADAT], [ATIM], [TTYPE]) VALUES (N'1', N'445', N'Build PIC Files                         ', N'Pic.Build.dll, Pic.Build.Build                                                                                                                        ', 1, 1, 0, 0, 1, 0, 1, N'OVERNIGHT                                                             ', 1, 1, 1, 1, 1, 1, 1, NULL, NULL, CAST(0x45310B00 AS Date), N'203504', CAST(0x45310B00 AS Date), N'203543', NULL, N'000000', 6)
INSERT #Temp_NITMAS ([NSET], [TASK], [DESCR], [PROG], [NITE], [RETY], [WEEK], [PEND], [LIVE], [OPTN], [ABOR], [JRUN], [DAYS1], [DAYS2], [DAYS3], [DAYS4], [DAYS5], [DAYS6], [DAYS7], [BEGD], [ENDD], [SDAT], [STIM], [EDAT], [ETIM], [ADAT], [ATIM], [TTYPE]) VALUES (N'1', N'235', N'Weekly System Update                    ', N'WeeklySystemUpdate.exe| Y                                                                                                                             ', 1, 1, 1, 0, 1, 0, 1, N'                                                                      ', 1, 1, 1, 1, 1, 1, 1, NULL, NULL, CAST(0x43310B00 AS Date), N'220422', CAST(0x43310B00 AS Date), N'220644', NULL, N'000000', 0)
INSERT #Temp_NITMAS ([NSET], [TASK], [DESCR], [PROG], [NITE], [RETY], [WEEK], [PEND], [LIVE], [OPTN], [ABOR], [JRUN], [DAYS1], [DAYS2], [DAYS3], [DAYS4], [DAYS5], [DAYS6], [DAYS7], [BEGD], [ENDD], [SDAT], [STIM], [EDAT], [ETIM], [ADAT], [ATIM], [TTYPE]) VALUES (N'1', N'240', N'Process Trans - Add Weekly Related Items', N'ProcessTransmissions.exe| RI                                                                                                                          ', 1, 1, 1, 0, 1, NULL, 0, NULL, 1, 1, 1, 1, 1, 1, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0)
INSERT #Temp_NITMAS ([NSET], [TASK], [DESCR], [PROG], [NITE], [RETY], [WEEK], [PEND], [LIVE], [OPTN], [ABOR], [JRUN], [DAYS1], [DAYS2], [DAYS3], [DAYS4], [DAYS5], [DAYS6], [DAYS7], [BEGD], [ENDD], [SDAT], [STIM], [EDAT], [ETIM], [ADAT], [ATIM], [TTYPE]) VALUES (N'1', N'250', N'Weekly SOCLOS STHOA                     ', N'ProcessTransmissions.exe| SOCLOS=STHOA                                                                                                                ', 1, 1, 1, 0, 1, NULL, 0, NULL, 1, 1, 1, 1, 1, 1, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0)
INSERT #Temp_NITMAS ([NSET], [TASK], [DESCR], [PROG], [NITE], [RETY], [WEEK], [PEND], [LIVE], [OPTN], [ABOR], [JRUN], [DAYS1], [DAYS2], [DAYS3], [DAYS4], [DAYS5], [DAYS6], [DAYS7], [BEGD], [ENDD], [SDAT], [STIM], [EDAT], [ETIM], [ADAT], [ATIM], [TTYPE]) VALUES (N'1', N'245', N'Process OO                              ', N'ProcessTransmissions.exe| OO                                                                                                                          ', 1, 1, 0, 0, 1, NULL, 0, NULL, 1, 1, 1, 1, 1, 1, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0)
INSERT #Temp_NITMAS ([NSET], [TASK], [DESCR], [PROG], [NITE], [RETY], [WEEK], [PEND], [LIVE], [OPTN], [ABOR], [JRUN], [DAYS1], [DAYS2], [DAYS3], [DAYS4], [DAYS5], [DAYS6], [DAYS7], [BEGD], [ENDD], [SDAT], [STIM], [EDAT], [ETIM], [ADAT], [ATIM], [TTYPE]) VALUES (N'1', N'465', N'Update EANMAS Table                     ', N'BarCodeGenerator.exe                                                                                                                                  ', 1, 0, 0, 0, 1, NULL, 0, NULL, 1, 1, 1, 1, 1, 1, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0)
INSERT #Temp_NITMAS ([NSET], [TASK], [DESCR], [PROG], [NITE], [RETY], [WEEK], [PEND], [LIVE], [OPTN], [ABOR], [JRUN], [DAYS1], [DAYS2], [DAYS3], [DAYS4], [DAYS5], [DAYS6], [DAYS7], [BEGD], [ENDD], [SDAT], [STIM], [EDAT], [ETIM], [ADAT], [ATIM], [TTYPE]) VALUES (N'1', N'475', N'Colleague Discount Report               ', N'Reporting.dll,Reporting.ReportViewer                                                                                                                  ', 1, 1, 0, 0, 1, NULL, 1, N'305                                                                   ', 1, 1, 1, 1, 1, 1, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 6)
INSERT #Temp_NITMAS ([NSET], [TASK], [DESCR], [PROG], [NITE], [RETY], [WEEK], [PEND], [LIVE], [OPTN], [ABOR], [JRUN], [DAYS1], [DAYS2], [DAYS3], [DAYS4], [DAYS5], [DAYS6], [DAYS7], [BEGD], [ENDD], [SDAT], [STIM], [EDAT], [ETIM], [ADAT], [ATIM], [TTYPE]) VALUES (N'1', N'480', N'Miscellaneous Income Report             ', N'Reporting.dll,Reporting.ReportViewer                                                                                                                  ', 1, 1, 0, 0, 1, NULL, 1, N'610                                                                   ', 1, 1, 1, 1, 1, 1, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 6)
INSERT #Temp_NITMAS ([NSET], [TASK], [DESCR], [PROG], [NITE], [RETY], [WEEK], [PEND], [LIVE], [OPTN], [ABOR], [JRUN], [DAYS1], [DAYS2], [DAYS3], [DAYS4], [DAYS5], [DAYS6], [DAYS7], [BEGD], [ENDD], [SDAT], [STIM], [EDAT], [ETIM], [ADAT], [ATIM], [TTYPE]) VALUES (N'1', N'490', N'Price Violation Report                  ', N'Reporting.dll,Reporting.ReportViewer                                                                                                                  ', 1, 1, 0, 0, 1, NULL, 1, N'304                                                                   ', 1, 1, 1, 1, 1, 1, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 6)
INSERT #Temp_NITMAS ([NSET], [TASK], [DESCR], [PROG], [NITE], [RETY], [WEEK], [PEND], [LIVE], [OPTN], [ABOR], [JRUN], [DAYS1], [DAYS2], [DAYS3], [DAYS4], [DAYS5], [DAYS6], [DAYS7], [BEGD], [ENDD], [SDAT], [STIM], [EDAT], [ETIM], [ADAT], [ATIM], [TTYPE]) VALUES (N'1', N'495', N'Label Request Purge                     ', N'LabelRequestPurge.exe | Y                                                                                                                             ', 1, 0, 0, 0, 1, NULL, 0, NULL, 1, 1, 1, 1, 1, 1, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0)

MERGE  [dbo].[NITMAS] AS Target
 USING #Temp_NITMAS AS Source
	ON Target.[NSET] = Source.[NSET]
		AND Target.[TASK] = Source.[TASK]
WHEN MATCHED THEN
UPDATE SET
  Target.[DESCR] = Source.[DESCR], Target.[PROG] = Source.[PROG], Target.[NITE] = Source.[NITE], Target.[RETY] = Source.[RETY], Target.[WEEK] = Source.[WEEK]
, Target.[PEND] = Source.[PEND], Target.[LIVE] = Source.[LIVE], Target.[OPTN] = Source.[OPTN], Target.[ABOR] = Source.[ABOR], Target.[JRUN] = Source.[JRUN]
, Target.[DAYS1] = Source.[DAYS1], Target.[DAYS2] = Source.[DAYS2], Target.[DAYS3] = Source.[DAYS3], Target.[DAYS4] = Source.[DAYS4], Target.[DAYS5] = Source.[DAYS5]
, Target.[DAYS6] = Source.[DAYS6], Target.[DAYS7] = Source.[DAYS7], Target.[BEGD] = Source.[BEGD], Target.[ENDD] = Source.[ENDD], Target.[SDAT] = Source.[SDAT]
, Target.[STIM] = Source.[STIM], Target.[EDAT] = Source.[EDAT], Target.[ETIM] = Source.[ETIM], Target.[ADAT] = Source.[ADAT], Target.[ATIM] = Source.[ATIM]
, Target.[TTYPE] = Source.[TTYPE]
WHEN NOT MATCHED BY TARGET
THEN
INSERT (
		 [NSET], [TASK], [DESCR], [PROG], [NITE], [RETY], [WEEK], [PEND], [LIVE], [OPTN], [ABOR], [JRUN], [DAYS1], [DAYS2], [DAYS3], [DAYS4], [DAYS5], [DAYS6], [DAYS7]
		,[BEGD], [ENDD], [SDAT], [STIM], [EDAT], [ETIM], [ADAT], [ATIM], [TTYPE]
		)
VALUES (
		  Source.[NSET], Source.[TASK], Source.[DESCR], Source.[PROG], Source.[NITE], Source.[RETY], Source.[WEEK], Source.[PEND], Source.[LIVE], Source.[OPTN], Source.[ABOR]
		, Source.[JRUN], Source.[DAYS1], Source.[DAYS2], Source.[DAYS3], Source.[DAYS4], Source.[DAYS5], Source.[DAYS6], Source.[DAYS7], Source.[BEGD], Source.[ENDD], Source.[SDAT]
		, Source.[STIM], Source.[EDAT], Source.[ETIM], Source.[ADAT], Source.[ATIM], Source.[TTYPE]
		);
GO
